<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes( 'xhtml' ); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php tj_custom_titles(); ?></title>
<?php tj_custom_description(); ?>
<?php tj_custom_keywords(); ?>
<?php tj_custom_canonical(); ?>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/colors/<?php echo get_option('collection_theme_stylesheet'); ?>" />
<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/custom.css" />
<?php wp_head(); ?>
</head>

<?php if (is_home() || is_archive() || is_search() ) add_filter('img_caption_shortcode', create_function('$a, $b, $c','return $c;'), 10, 3); ?>

<body <?php body_class(); ?>>
    <span id="home-url" name="<?php echo get_template_directory_uri();?>"></span>
	<?php if( get_option("collection_fixed_header_enable") == 'on' ):?>
	    <style type='text/css'>
	        #header { position: fixed; }
	        #content { margin-top: 80px; }
	    </style>
	<?php endif;?>

	<?php if( get_option('collection_homepage_layout') == 'Fixed Width Layout (1240px)' ):?>
        <style type="text/css">
            #container { width:1240px; position: relative; left: 50%; margin-left: -620px; }
            #header-content { width:1240px; position: relative; left: 50%; margin-left: -620px; }
        </style>
    <?php endif;?>
    
	<div id="header">
	    <div id="header-content">
	    
			<?php if (get_option('collection_text_logo_enable') == 'on') { ?>
				<div id="text-logo">
					<h1 id="site-title"><a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('description'); ?>"><?php bloginfo('name'); ?></a></h1>
				</div><!-- #text-logo -->
			<?php } else { ?>
				<a href="<?php echo home_url(); ?>"><?php $logo = (get_option('collection_logo') <> '') ? get_option('collection_logo') : get_template_directory_uri().'/images/logo.png'; ?><img src="<?php echo $logo; ?>" alt="<?php bloginfo('name'); ?>" id="logo"/></a><!-- #logo -->
			<?php }?>
			            
		    <div id="header-nav">	
				<div class="nav">
					<?php $menuClass = '';
					$menuID = '';
					$headerNav = '';
					if (function_exists('wp_nav_menu')) {
						$headerNav = wp_nav_menu( array( 'theme_location' => 'header-nav', 'container' => '', 'fallback_cb' => '', 'menu_class' => $menuClass, 'menu_id' => $menuID, 'echo' => false ) ); 
					};
					if ($headerNav == '') { ?>
						<ul id="<?php echo $menuID; ?>" class="<?php echo $menuClass; ?>">
							<?php if (get_option('collection_home_link') == 'on') { ?><li class="first"><a href="<?php bloginfo('url'); ?>"><?php _e('Home','themejunkie');?></a></li><?php } ?>
							<?php if(get_option('collection_header_menu') == ('Pages')) { show_page_menu($menuClass,false,false); } else { show_categories_menu($menuClass,false,false); } ?>
						</ul>
					<?php }	else echo($headerNav); ?>
				</div><!-- .nav -->
		    </div><!-- #header-nav -->
		    
		    <div id="header-social">
	            <ul>
	                <li id="header-twitter"><a href="http://twitter.com/<?php echo get_option('collection_twitter_id'); ?>"><?php _e('Twitter','themejunkie');?></a></li>
	                <li id="header-subscribe">
	                	<?php if( get_option('collection_feedburner_id') != null ) { ?> 
	                		<a href="http://feeds.feedburner.com/<?php echo get_option('collection_feedburner_id'); ?>"><?php _e('Subscribe','themejunkie');?></a>
						<?php } else { ?>
							<a href="<?php bloginfo('rss2_url'); ?>"><?php _e('RSS feed','themejunkie');?></a>
						<?php } ?>
					</li>
	            </ul>
		    </div><!-- #header-social -->
		    
        </div><!-- #header-content -->
	</div><!-- #header -->
	
	<div id="container" class="clear js-disabled">
	
	    <div id="content">
	    <?php get_sidebar();?>