<?php
/*
Template Name: Portfolio
*/
?>
<?php get_header();?>

	<?php
	    $width = get_option('collection_thumbnail_width');
	    $height = get_option('collection_thumbnail_height');
	?>
	
	<style type="text/css">
	    .hentry{
	        width:<?php echo $width;?>px;
	    }
	    .portfolio-post{
	        padding:0 10px 0 10px;
	        width:<?php echo $width-20;?>px;
	    }
	    .post-thumb{
	        width:<?php echo $width;?>px;
	        height:<?php echo $height;?>px;
	    }
	</style>
	
	<div id="primary-portfolio" class="hfeed" >
	<?php
	    $portfolio_count = 0;
	    // The Query
	    $the_query = new WP_Query( array(
	        'posts_per_page' => -1,
	        'post_type' => 'portfolio',
	    ));
	    // The Loop
	    while ( $the_query->have_posts() ) : $the_query->the_post();
	        $portfolio_count++;
	    
	    endwhile;
	    wp_reset_postdata();
	?>
	
	<?php 
		query_posts( array(
			'post_type' => 'portfolio',
			'posts_per_page' => 16
			)
		);
	?>
	
	<div id="masonry-portfolio" class="<?php if(get_option('collection_portfolio_layout')=='Thumbnail + Excerpt') {echo 'has-excerpt';} else {echo 'no-excerpt';} ?>">
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
        <div class="hentry" id="post-<?php the_ID(); ?>">
            
            <?php
            $video_embed = get_post_meta(get_the_ID(), 'tj_video_embed_portfolio', TRUE);
            $show_img = get_post_meta(get_the_ID(), 'tj_portfolio_show_images', TRUE);
            $have_img = FALSE;
            echo get_option('featured_image');
            $image[]=array();
            $image[0]  = get_post_meta(get_the_ID(), 'tj_portfolio_image1', TRUE);
            $image[1] = get_post_meta(get_the_ID(), 'tj_portfolio_image2', TRUE);
            $image[2] = get_post_meta(get_the_ID(), 'tj_portfolio_image3', TRUE);
            $image[3] = get_post_meta(get_the_ID(), 'tj_portfolio_image4', TRUE);
            $image[4] = get_post_meta(get_the_ID(), 'tj_portfolio_image5', TRUE);
            for($i=0;$i<5;$i++){
                if($image[$i]!=''){
                    $have_img = TRUE;
                }
            }
            if($show_img == 'no'){
                $show_img = FALSE;
            }
            $count = 0;
            ?>
            <?php  $src = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), array( '9999','9999' ), false, '' ); ?>
            <div class="post-thumb">
            
                <?php if($have_img) : ?>
                    <?php   for($i=0;$i<5;$i++):?>
                    <?php            if($image[$i]): $count=$i;    ?>

                    <a class="lightbox" rel="prettyPhoto[img<?php the_ID();?>]" title="<?php the_title(); ?>" href="<?php echo $image[$i]; ?>">

                    <?php break; endif; endfor;?>
                        <span class="overlay">
                            <span class="icon"></span>
                        </span>
                        <?php the_post_thumbnail('portfolio-thumb'); ?>
                    </a>
                    
                <?php   for($i=$count+1;$i<5;$i++):?>
                <?php            if($image[$i]):     ?>
                        <a class="lightbox" rel="prettyPhoto[img<?php the_ID();?>]" title="<?php the_title(); ?>" href="<?php echo $image[$i]; ?>">
                        </a>
                <?php endif; endfor;?>
                <?php else: ?>
                <?php   if($video_embed == ''):?>
                        <a title="<?php the_title(); ?>" href="<?php the_permalink(); ?>">
                        <span class="overlay">
                            <span class="icon-video"></span>
                        </span>
                        <?php the_post_thumbnail('portfolio-thumb'); ?>
                        </a>
                <?php   else:?>
                        <a title="<?php the_title(); ?>" href="<?php the_permalink(); ?>">
                        <span class="overlay">
                            <span class="icon-video"></span>
                        </span>
                        <?php the_post_thumbnail('portfolio-thumb'); ?>
                        </a>
                <?php   endif;?>
                <?php endif; ?>
                <?php if(get_option('collection_portfolio_layout')=='Thumbnail Only'):?>
                    <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                <?php endif;?>
            </div>
            
            <?php if(get_option('collection_portfolio_layout')=='Thumbnail + Excerpt'):?>
            <div class="portfolio-post">
                <h2 class="portfolio-post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                <div class="portfolio-post-excerpt">
                    <?php the_excerpt();?>
                </div><!-- .portfolio-post-excerpt -->
            </div><!-- .portfolio-post -->
            <?php endif;?>
            
        </div><!-- end .hentry -->
    <?php endwhile; endif; ?>
    
    <div id="new-portfolio"></div>
    </div><!-- #masonry-portfolio -->
    
	</div><!-- #primary-portfolio .hfeed -->

	<div id="load-portfolio-link">
	    <span id="load-portfolio-ico"></span>
	    <a name="<?php echo get_template_directory_uri();?>" slug="all" count="<?php echo $portfolio_count;?>" href="#loadMore">
	        <?php _e('Load more...', 'themejunkie'); ?>
	        <span>
	            <span id="portfolio-post-count"></span>
	            <span data-text="<?php _e('Remaining', 'themejunkie'); ?>" id="portfolio-remaining"><?php _e('Remaining', 'themejunkie'); ?></span>
	        </span>
	    </a>
	    <?php get_footer(); ?>
	</div><!-- #load-more-link -->
