<?php
/*
Template Name: Submit
*/
require_once dirname( __FILE__ ) . '/includes/form-process.php';
$wpdb->hide_errors();
nocache_headers();
$is_open_submit = get_option('collection_portfolio_submission');
?>

<?php get_header();?>

	<div id="primary" class="hfeed">
      
        <?php if(isset($postSent) && $postSent == true) { ?>

		<h1 class="entry-title"><?php the_title(); ?></h1>
			
        <div id="submit-content">
	        <div class="thanks">
	            <p><?php _e('Thanks, your post was sent successfully.', 'themejunkie') ?></p>
	        </div><!-- .thanks -->
        </div>

	    <?php } else {?>
	    
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	    
				<div id="post-<?php the_ID(); ?>" <?php post_class() ?>>
			    
					<h1 class="entry-title"><?php the_title(); ?></h1>
			
					<div class="entry-content">
						<?php the_content(); ?>
						<?php wp_link_pages(array('before' => '<p><strong>'.__('Pages:', 'themejunkie').'</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
					</div><!-- .entry-content -->
					
				</div><!-- #post-<?php the_ID(); ?> -->
				
				<div class="clear"></div>

			<?php endwhile; endif; ?>
            
	        <div id="submit-content">
                <div id="formbox">
                <?php
                    if ($err != "") {
                        echo "<p>".$err."</p>";
                    }
                ?>
                
                <?php
                    if ($_GET['success'] == "success") {
                        echo "<p>Your post was successfully submitted.</p>";
                    }
                    else {
                ?>
                
                <?php if (is_user_logged_in()||$is_open_submit=='Open for Everyone') { ?>
                        <form action="" method="post" enctype="multipart/form-data">
                            <input type="hidden" name="action" value="post" />
                            <?php wp_nonce_field( 'new-post' ); ?>
                                <p>
                                    <label for="post_title"><?php _e('Portfolio Title', 'themejunkie'); ?> <span class="required">*</span><span><?php _e('The title', 'themejunkie'); ?></span></label>
                                    <input type="text" id="post_title" name="post_title" value="<?php echo $post_title;?>" size="60" tabindex="1"/>
                                </p>
                                <p>
                                    <label for="cat"><?php _e('Portfolio Category', 'themejunkie'); ?> <span class="required">*</span></label>
                                    <?php wp_dropdown_categories('taxonomy=portfolio-type&orderby=name&order=ASC&hide_empty=0&hierarchical=1'); ?>
                                </p>
                                <p>
                                    <label for="post_content"><?php _e('Portfolio Content', 'themejunkie'); ?> <span class="required">*</span><span><?php _e('Detailed description of the portfolio', 'themejunkie'); ?></span></label>
                                    <textarea name="post_content" id="post_content" cols=95 rows=10 tabindex="2"><?php echo $post_content; ?></textarea>
                                </p>
                                <p class="section-heading"><h3><?php _e('Additional Info Settings', 'themejunkie'); ?></h3></p>
                                <p>
                                    <label for="file"><?php _e('Portfolio Thumbnail', 'themejunkie'); ?><span><?php _e('Upload an local image', 'themejunkie'); ?></span></label>
                                    <input type="text" class="image-url" name="image_url" id="image_url"/>
                                    <input type="button" class="button" value="Browse"/>
                                    <span class="image-text"></span>
                                    <input type="file" id="file" name="file"/>
                                </p>
                                <p>
                                    <label for="portfolio_caption"><?php _e('Portfolio Caption', 'themejunkie'); ?><span><?php _e('A small description of the portfolio', 'themejunkie'); ?></span></label>
                                    <textarea id="portfolio_caption" name="portfolio_caption" cols=65 rows=5></textarea>
                                </p>
                                <p>
                                    <label for="external_link"><?php _e('External Link', 'themejunkie'); ?><span><?php _e('The link to the portfolio', 'themejunkie'); ?></span></label>
                                    <input type="text" id="external_link" name="external_link"/>
                                </p>
                                <p class="section-heading"><h3><?php _e('Image Settings', 'themejunkie'); ?></h3></p>
                                <span class="alert"><?php _e('To submit image portfolio, please fill the following fields:', 'themejunkie'); ?></span>                                
                                <p>
                                    <label for="file1"><?php _e('Image 1', 'themejunkie'); ?><span><?php _e('Min. width: 600px', 'themejunkie'); ?></span></label>
                                    <input type="text" class="image-url" name="image_url1" id="image_url1"/>
                                    <input type="button" class="button" value="Browse"/>
                                    <span class="image-text"></span>
                                    <input type="file" id="file1" name="file1"/>
                                </p>
                                <p>
                                    <label for="file2"><?php _e('Image 2', 'themejunkie'); ?><span><?php _e('Min. width: 600px', 'themejunkie'); ?></label>
                                    <input type="text" class="image-url" name="image_url2" id="image_url2"/>
                                    <input type="button" class="button" value="Browse"/>
                                    <span class="image-text"></span>
                                    <input type="file" id="file2" name="file2"/>
                                </p>
                                <p>
                                    <label for="file3"><?php _e('Image 3', 'themejunkie'); ?><span><?php _e('Min. width: 600px', 'themejunkie'); ?></label>
                                    <input type="text" class="image-url" name="image_url3" id="image_url3"/>
                                    <input type="button" class="button" value="Browse"/>
                                    <span class="image-text"></span>
                                    <input type="file" id="file3" name="file3"/>
                                </p>
                                <p>
                                    <label for="file4"><?php _e('Image 4', 'themejunkie'); ?><span><?php _e('Min. width: 600px', 'themejunkie'); ?></label>
                                    <input type="text" class="image-url" name="image_url4" id="image_url4"/>
                                    <input type="button" class="button" value="Browse"/>
                                    <span class="image-text"></span>
                                    <input type="file" id="file4" name="file4"/>
                                </p>

                                <p>
                                    <label for="file5"><?php _e('Image 5', 'themejunkie'); ?><span><?php _e('Min. width: 600px', 'themejunkie'); ?></label>
                                    <input type="text" class="image-url" name="image_url5" id="image_url5"/>
                                    <input type="button" class="button" value="Browse"/>
                                    <span class="image-text"></span>
                                    <input type="file" id="file5" name="file5"/>
                                </p>
                                <p class="section-heading"><h3><?php _e('Video Settings', 'themejunkie'); ?></h3></p>
                                <span class="alert"><?php _e('To submit video portfolio, please fill the following fields:', 'themejunkie'); ?></span>                                
                                <p>
                                    <label for="vdeio_height"><?php _e('Video Height', 'themejunkie'); ?><span><?php _e('If you set the M4V or OGV , you must set this.(no Youtube or such as that)', 'themejunkie'); ?></span></label>
                                    <input type="text" id="vdeio_height" name="vdeio_height"/>
                                </p>
                                <p>
                                    <label for="m4v"><?php _e('M4V File URL', 'themejunkie'); ?><span><?php _e('The URL to the .m4v video file', 'themejunkie'); ?></span></label>
                                    <input type="text" id="m4v" name="m4v"/>
                                </p>
                                <p>
                                    <label for="ogv"><?php _e('OGV File URL', 'themejunkie'); ?><span><?php _e('The URL to the .ogv video file', 'themejunkie'); ?></span></label>
                                    <input type="text" id="ogv" name="ogv"/>
                                </p>
                                <p>
                                    <label for="video_embed"><?php _e('Embedded Code', 'themejunkie'); ?><span><?php _e('If you are using something other than self hosted video such as Youtube or Vimeo, paste the embed code here. Width is best at 600px with any height.', 'themejunkie'); ?></span></label>
                                    <textarea id="video_embed" name="video_embed" cols=65 rows=8></textarea>
                                </p>
                                <input id="submit" type="submit" value="Submit" class="button" />
                                <span id="submit-flag"></span>
                        </form>
                        
                        <?php } else { ?>
                        <p><?php _e('You need to', 'themejunkie'); ?> <a href="#">log in</a> to use the submission form.</p>
                        <?php } ?>
                    <?php } ?>
                </div><!-- #formbox -->

            </div><!-- #submit-content -->

    	<?php }?>

	</div><!-- #primary .hfeed -->

	<div id="single-right-sidebar">
    <?php if ( !function_exists( 'dynamic_sidebar' ) || !dynamic_sidebar('Page Sidebar - Right') ): ?>

        <?php the_widget('WP_Widget_Text', 'title=Page Sidebar - Right&text=You could add some widgets in this area.', 'before_title=<h3 class="widget-title">&after_title=</h3>'); ?>

    <?php endif; ?>
   
   </div><!-- #single-right-sidebar -->
	    	
<?php get_footer(); ?>